// Custom Theming for Angular Material
@use "@angular/material" as mat;
// For more information: https://material.angular.io/guide/theming
// Plus imports for other components in your app.

@import 'material-icons/iconfont/material-icons.scss';

/* roboto-300 - latin */
@font-face {
  font-family: 'Roboto';
  font-style: normal;
  font-weight: 300;
  src: url('assets/fonts/roboto/roboto-v30-latin-300.eot'); /* IE9 Compat Modes */
  src: local(''),
       url('assets/fonts/roboto/roboto-v30-latin-300.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
       url('assets/fonts/roboto/roboto-v30-latin-300.woff2') format('woff2'), /* Super Modern Browsers */
       url('assets/fonts/roboto/roboto-v30-latin-300.woff') format('woff'), /* Modern Browsers */
       url('assets/fonts/roboto/roboto-v30-latin-300.ttf') format('truetype'), /* Safari, Android, iOS */
       url('assets/fonts/roboto/roboto-v30-latin-300.svg#Roboto') format('svg'); /* Legacy iOS */
}
/* roboto-regular - latin */
@font-face {
  font-family: 'Roboto';
  font-style: normal;
  font-weight: 400;
  src: url('assets/fonts/roboto/roboto-v30-latin-regular.eot'); /* IE9 Compat Modes */
  src: local(''),
       url('assets/fonts/roboto/roboto-v30-latin-regular.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
       url('assets/fonts/roboto/roboto-v30-latin-regular.woff2') format('woff2'), /* Super Modern Browsers */
       url('assets/fonts/roboto/roboto-v30-latin-regular.woff') format('woff'), /* Modern Browsers */
       url('assets/fonts/roboto/roboto-v30-latin-regular.ttf') format('truetype'), /* Safari, Android, iOS */
       url('assets/fonts/roboto/roboto-v30-latin-regular.svg#Roboto') format('svg'); /* Legacy iOS */
}
/* roboto-500 - latin */
@font-face {
  font-family: 'Roboto';
  font-style: normal;
  font-weight: 500;
  src: url('assets/fonts/roboto/roboto-v30-latin-500.eot'); /* IE9 Compat Modes */
  src: local(''),
       url('assets/fonts/roboto/roboto-v30-latin-500.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
       url('assets/fonts/roboto/roboto-v30-latin-500.woff2') format('woff2'), /* Super Modern Browsers */
       url('assets/fonts/roboto/roboto-v30-latin-500.woff') format('woff'), /* Modern Browsers */
       url('assets/fonts/roboto/roboto-v30-latin-500.ttf') format('truetype'), /* Safari, Android, iOS */
       url('assets/fonts/roboto/roboto-v30-latin-500.svg#Roboto') format('svg'); /* Legacy iOS */
}


// Include the common styles for Angular Material. We include this here so that you only
// have to load a single css file for Angular Material in your app.
// Be sure that you only ever include this mixin once!
@include mat.core();

// Define the palettes for your theme using the Material Design palettes available in palette.scss
// (imported above). For each palette, you can optionally specify a default, lighter, and darker
// hue. Available color palettes: https://material.io/design/color/
$aau-semester-planner-primary: mat.define-palette(mat.$light-blue-palette, 600);
$aau-semester-planner-accent: mat.define-palette(mat.$blue-palette, 600);

// The warn palette is optional (defaults to red).
$aau-semester-planner-warn: mat.define-palette(mat.$deep-orange-palette, 500);

// Create the theme object (a Sass map containing all of the palettes).
// $aau-semester-planner-theme: mat-light-theme($aau-semester-planner-primary, $aau-semester-planner-accent, $aau-semester-planner-warn);
$aau-semester-planner-theme: mat.define-dark-theme(
  $aau-semester-planner-primary,
  $aau-semester-planner-accent,
  $aau-semester-planner-warn
);
$aau-semester-planner-theme-light: mat.define-light-theme(
  $aau-semester-planner-primary,
  $aau-semester-planner-accent,
  $aau-semester-planner-warn
);

// Include theme styles for core and each component used in your app.
// Alternatively, you can import and @include the theme mixins for each component
// that you are using.
@include mat.all-component-themes($aau-semester-planner-theme);

/* You can add global styles to this file, and also import other style files */

// -or- Can set colour by hex value too
$custom-background-color: #6b6b6b;

// snackbar darktheme but lighter background
.mat-snack-bar-container {
  color: #ffffff;
  background: #555555;
  @include mat.elevation(6);
}

.mat-simple-snackbar-action {
  color: mat.get-color-from-palette($aau-semester-planner-accent, text);
}

//default styles
html,
body {
  width: 100%;
  height: 100%;
  margin: 0;
  font-family: Roboto, "Helvetica Neue", sans-serif;
  background-color: $custom-background-color;
}

#courses > div {
  overflow: hidden;
}

.mat-card {
  background-color: #5a5a5a;
}

.weekOverview .overlapping {
  background-color: #a13545;
}
